Bio::ViennaNGS::Feature(3)

NAME
Bio::ViennaNGS::Feature - A Moose wrapper for BED6-type genomic intervals.

SYNOPSIS
  use Bio::ViennaNGS::Feature;

  my $feat = Bio::ViennaNGS::Feature->new(chromosome => "chr1",
                                          start => "1200",
                                          end => "4300",
                                          strand => "+",
                                          name => "foobar",
                                          score => "100",
                                          );
  $feat->dump();

DESCRIPTION
This module provides an object-oriented interface for storing genomic intervals characterized via chromosome, start position, end position, name, score and strand. As such, it can be regarded a simple wrapper for BED6 elements.

This class inherits from Bio::ViennaNGS::MinimalFeature and is the base classs for Bio::ViennaNGS::FeatureChain.

METHODS

dump()
    Title : dump

    Usage : "$obj->dump;"

    Function: Print a tab-separated representation of $obj (a BED6
              line).

SEE ALSO

Bio::ViennaNGS
Bio::ViennaNGS::MinimalFeature
Bio::ViennaNGS::FeatureChain

AUTHORS
Michael T. Wolfinger <michael@wolfinger.eu>

COPYRIGHT AND LICENSE
Copyright (C) 2014-2018 Michael T. Wolfinger <michael@wolfinger.eu>

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.10.0 or, at your option, any later version of Perl 5 you may have available.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.